Bug 1474930 - Review Request: python-webencodings - Character encoding for the web
Review Request: python-webencodings - Character encoding for the web
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1474883
  Show dependency treegraph
 
Reported: 2017-07-25 12:06 EDT by Randy Barlow
Modified: 2017-08-04 12:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-webencodings-0.5.1-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 12:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2017-07-25 12:06:03 EDT
Spec URL: https://bowlofeggs.fedorapeople.org/python-webencodings.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/python-webencodings-0.5.1-1.fc27.src.rpm
Description: This is a Python implementation of the WHATWG Encoding standard.
Fedora Account System Username: bowlofeggs
Comment 1 Kevin Fenzi 2017-07-25 12:07:10 EDT
I'll go ahead and review this. Look for a review in a bit.
Comment 2 Kevin Fenzi 2017-07-25 12:25:53 EDT
There are some odd warnings in the build log like: 

WARNING: /builddir/build/BUILD/python-webencodings-0.5.1/docs/index.rst:54: (WARNING/2) autodoc: failed to import function 'ascii_lower' from module 'webencodings'; the following exception was raised:
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/sphinx/ext/autodoc.py", line 657, in import_object
    __import__(self.modname)
ModuleNotFoundError: No module named 'webencodings'

which sounds like it requires itself to build without warnings?

Otherwise I see nothing amiss, and this package is APPROVED. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (unspecified)", "Unknown or generated",
     "*No copyright* BSD (unspecified)". 8 files have unknown license.
     Detailed output of licensecheck in /home/kevin/1474930-python-
     webencodings/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[-]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     webencodings-doc , python2-webencodings , python3-webencodings
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-webencodings-doc-0.5.1-1.fc27.noarch.rpm
          python2-webencodings-0.5.1-1.fc27.noarch.rpm
          python3-webencodings-0.5.1-1.fc27.noarch.rpm
          python-webencodings-0.5.1-1.fc27.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-webencodings (rpmlib, GLIBC filtered):
    python(abi)
    python2

python-webencodings-doc (rpmlib, GLIBC filtered):

python3-webencodings (rpmlib, GLIBC filtered):
    python(abi)
    python3



Provides
--------
python2-webencodings:
    python-webencodings
    python2-webencodings
    python2.7dist(webencodings)
    python2dist(webencodings)

python-webencodings-doc:
    python-webencodings-doc

python3-webencodings:
    python3-webencodings
    python3.6dist(webencodings)
    python3dist(webencodings)



Source checksums
----------------
https://github.com/gsnedders/python-webencodings/archive/v0.5.1/webencodings-0.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 082367f568a7812aa5f6922ffe3d9d027cd83829dc32bcaac4c874eeed618000
  CHECKSUM(SHA256) upstream package : 082367f568a7812aa5f6922ffe3d9d027cd83829dc32bcaac4c874eeed618000


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1474930
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Gwyn Ciesla 2017-07-25 12:43:36 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-webencodings
Comment 4 Randy Barlow 2017-07-25 13:00:24 EDT
Thanks for the review Kevin!

I've fixed that warning in this commit:

http://pkgs.fedoraproject.org/cgit/rpms/python-webencodings.git/commit/?id=13257b0ea44c3ba916ef19acec3a37f83ddd9725
Comment 5 Randy Barlow 2017-07-25 13:11:31 EDT
I've now built the version with the fix for that docs build warning.
Comment 6 Fedora Update System 2017-07-25 13:12:40 EDT
python-webencodings-0.5.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b766162f16
Comment 7 Fedora Update System 2017-07-26 22:52:09 EDT
python-webencodings-0.5.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b766162f16
Comment 8 Fedora Update System 2017-08-04 12:52:04 EDT
python-webencodings-0.5.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.